Subject: Re: [PATCH 1/1] ipv6 addrconf:fix preferred lifetime state-changing behavior while valid_lft is infinity

From: Hannes Frederic Sowa <[email-masked]>
Date: Thu, 12 Dec 2013 02:03:48 +0100

On Thu, Dec 12, 2013 at 12:58:10AM +0000, Asano, Yasushi wrote:
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Hannes Frederic Sowa
> > Sent: Tuesday, December 10, 2013 8:47 AM
> > To: Asano, Yasushi
> > Cc: [email-masked]
> > Subject: Re: [PATCH 1/1] ipv6 addrconf:fix preferred lifetime
> > state-changing behavior while valid_lft is infinity
> > Importance: High
> > 
> > On Mon, Dec 09, 2013 at 05:54:37AM +0000, Asano, Yasushi wrote:
> > > from: Yasushi Asano  <[email-masked]>
> > >
> > > There is a problem when setting the lifetime of an IPv6 address.
> > > When I set preferred_lft to a value not zero or infinity, while valid_lft
> > is infinity(0xffffffff)
> > > preferred lifetime is set to forever and does not update.
> > > Therefore preferred lifetime never becomes deprecated.
> > >
> > > I think valid lifetime and preferred lifetime should be set independently,
> > > even if valid lifetime is infinity, preferred lifetime must expire
> > correctly (meaning it must eventually become deprecated)
> > >
> > > I made a patch for 3.12 stable to solve the problem.
> > 
> > This indeed could be improved. Thanks for the patch. But you should base
> > it on net-next so it can be applied and please clean up the warnings
> > and errors if you run the patch through ./scripts/checkpatch --strict.
> > 
> > Thank you,
> > 
> >   Hannes
> > 
> I made a patch based on net-next and emailed ML using git send-email last night.
> 
> Subject: [PATCH 1/1] ipv6 addrconf:fix preferred lifetime state-changing behavior while valid_lft is infinity
> Date: Wed, 11 Dec 2013 19:57:32 +0900
> Message-ID: <[email-masked]>
> X-Mailer: git-send-email 1.7.12.4
> 
> Thank you for your time and assistance regarding this matter.
> Yasushi

Huch? I have not seen anything nor has patchworks:
http://patchwork.ozlabs.org/project/netdev/list/

Greetings,

  Hannes